# ROC Director Search

This API goes beyond basic profiles, providing extensive details such as the director's name, father's name, date of birth, associations with other companies and LLPs, and other relevant information.

## roc\_director

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/services/business_profile/roc_director`

#### Sample Request Body

<table><thead><tr><th width="167">Body</th><th width="148">Type</th><th>Mandatory</th><th width="217">Description</th></tr></thead><tbody><tr><td>din_number</td><td>string</td><td>Yes</td><td>DIN Number</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "din_number": "01234569"
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "7ad5a7ee-a403-452e-a16a-3a8a76a702ef",
    "status": "completed",
    "result": {
        "din": "01234569",
        "designation": "",
        "dateOfAppointment": "",
        "address": "",
        "name": "CHRISTI LYNN DOWD",
        "whetherDscRegistered": "",
        "dscExpiryDate": "",
        "fatherName": "*****ES *****D ****",
        "dob": "29/10/1963",
        "noOfCompanies": "0",
        "splitAddress": {
            "district": [],
            "state": [],
            "city": [],
            "pincode": "",
            "country": [
                "UNITED STATES"
            ],
            "addressLine": ""
        },
        "listOfCompanies": [],
        "listOfLLPs": []
    },
    "requested_at": "2026-05-15T11:19:06.256Z",
    "completed_at": "2026-05-15T11:19:08.889Z"
}
```

{% endtab %}

{% tab title="200 : In progress" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "b49bb6fe-b457-4af0-a8cf-599b9d29c687",
    "status": "in_progress",
    "requested_at": "2026-05-08T07:33:29.760Z"
}
```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "DIN Number should not be empty",
    "error": {
        "message": "DIN Number should not be empty",
        "field": "din_number",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "c7168aa7-8fb6-46c2-a8bd-23cef1d7c1bd",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2026-05-18T10:31:37.897Z",
    "completed_at": "2026-05-18T10:31:38.570Z"
}
```

{% endtab %}
{% endtabs %}

## Get details

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/services/business_profile/roc_director`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "7ad5a7ee-a403-452e-a16a-3a8a76a702ef",
    "status": "completed",
    "result": {
        "din": "01234569",
        "designation": "",
        "dateOfAppointment": "",
        "address": "",
        "name": "CHRISTI LYNN DOWD",
        "whetherDscRegistered": "",
        "dscExpiryDate": "",
        "fatherName": "*****ES *****D ****",
        "dob": "29/10/1963",
        "noOfCompanies": "0",
        "splitAddress": {
            "district": [],
            "state": [],
            "city": [],
            "pincode": "",
            "country": [
                "UNITED STATES"
            ],
            "addressLine": ""
        },
        "listOfCompanies": [],
        "listOfLLPs": []
    },
    "requested_at": "2026-05-15T11:19:06.256Z",
    "completed_at": "2026-05-15T11:19:08.889Z"
}
```

{% endtab %}

{% tab title="200: Inprogress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "b49bb6fe-b457-4af0-a8cf-599b9d29c687",
    "status": "in_progress",
    "requested_at": "2026-05-08T07:33:29.760Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "c7168aa7-8fb6-46c2-a8bd-23cef1d7c1bd",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2026-05-18T10:31:37.897Z",
    "completed_at": "2026-05-18T10:31:38.570Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/business-profile/roc-director-search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
